Skip to main content
GET
/
v1
/
stocks
/
fiscal-dates
/
range
Get Fiscal Dates by Date Range
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/fiscal-dates/range \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "calendar_end": "2024-03-31",
      "fiscal_quarter": "Q1",
      "fiscal_year": 2024,
      "public_date": "2024-04-15",
      "symbol": "AAPL"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Stock symbol (e.g., AAPL)

start_time
integer<int64>
required

Start time (Unix timestamp)

end_time
integer<int64>
required

End time (Unix timestamp)

Response

Successfully retrieved fiscal dates

data
object[]
error
object
pagination
any
request_id
string
success
boolean